# Class CdsUploadMatcher.VizierMeta

java.lang.Object
uk.ac.starlink.ttools.cone.CdsUploadMatcher.VizierMeta

Enclosing class:
  `CdsUploadMatcher`

public static class CdsUploadMatcher.VizierMeta extends Object
Metadata provided for Vizier tables by the CDS Xmatch service.

Since:
  14 May 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a table description.
`String`
`getName()`
Returns the canonical VizieR table ID.
`String`
`getPrettyName()`
Returns a table alias, if available.
`Long`
`getRowCount()`
Returns table row count.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns the canonical VizieR table ID.

Returns:
  table name

### getPrettyName

public String getPrettyName()
Returns a table alias, if available.

Returns:
  table alias, or null

### getDescription

public String getDescription()
Returns a table description.

Returns:
  table description

### getRowCount

public Long getRowCount()
Returns table row count.

Returns:
  row count, or null

### toString

public String toString()

Overrides:
  `toString` in class `Object`